# $Revision: 1.3.2.1 $, $Date: 2003/03/13 00:56:43 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	CFB
Summary:	Crypt::CFB Perl module - encrypt data in Cipher Feedback Mode
Summary(pl):	Modu Perla Crypt::CFB - szyfrujcy dane w trybie Cipher Feedback
Name:		perl-Crypt-CFB
Version:	0.01
Release:	2
License:	unknown
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 4.0.2-104
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pure Perl implementation of Cipher Feedback Mode for almost arbitrary
block ciphers and cryptographic hash functions.

%description -l pl
Modu ten jest czysto perlow implementacj Cipher Feedback Mode dla
prawie dowolnych szyfrw blokowych i kryptograficznych funkcji
mieszajcych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/Crypt/CFB.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Crypt-CFB.spec,v $
Revision 1.3.2.1  2003/03/13 00:56:43  ankry
- BR: new rpm (new perl.prov), rel++

Revision 1.3  2003/02/25 00:37:41  radek
- use the __perl macro

Revision 1.2  2003/02/18 15:28:43  ankry
- massive attack: change CPAN URLs

Revision 1.1  2002/07/28 22:18:02  qboosh
- new

